"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TreeCrossoverPlugin = void 0;
/*
 * Copyright 2020-2023 Delft University of Technology and SynTest contributors
 *
 * This file is part of SynTest Framework - SynTest Core.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
const base_language_1 = require("@syntest/base-language");
const search_javascript_1 = require("@syntest/search-javascript");
/**
 * Plugin for Tree Crossover
 *
 * @author Dimitri Stallenberg
 */
class TreeCrossoverPlugin extends base_language_1.CrossoverPlugin {
    constructor() {
        super("javascript-tree", "A JavaScript tree crossover plugin");
    }
    createCrossoverOperator(options) {
        return new search_javascript_1.TreeCrossover(options.crossoverEncodingProbability, options.crossoverStatementProbability);
    }
    getOptions() {
        return new Map();
    }
}
exports.TreeCrossoverPlugin = TreeCrossoverPlugin;
//# sourceMappingURL=TreeCrossoverPlugin.js.map